Bug 173158 - kernel dm-log: Make mirror log arch-independent
kernel dm-log: Make mirror log arch-independent
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
Brian Brock
Depends On:
Blocks: 168429
  Show dependency treegraph
Reported: 2005-11-14 13:32 EST by Alasdair Kergon
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-07 15:44:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alasdair Kergon 2005-11-14 13:32:22 EST
The format of the on-disk mirror logs is currently architecture-dependent.
The following patch changes the code to use the same set_le_bit and test_le_bit
functions as ext2 uses.  That makes the BE machines keep the bitmap internally
in LE order. It does mean you can't use any other type of operations on the
bitmap words but that is OK in this instance.
The nice thing about this way is that there is no on-disk format change for
32bit LE boxes at least, and even nicer is that it removes code and data
structures because log->disk_bits disappears.
From: Patrick Caulfield <pcaulfie@redhat.com>
Comment 2 Alasdair Kergon 2005-11-14 13:38:10 EST
Comment 8 Red Hat Bugzilla 2006-03-07 15:44:11 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.